Skip to main content

CallDetailResponse

200 body of GET /calls/{id} — the full call object under the success envelope.

Subclasses the detail serializer only to add the status wrapper key the view prepends.

call_iduuidrequired
phone_numberstringrequired
call_statusstringrequired
outcomestringnullablerequired
created_atdate-timerequired
started_atdate-timerequired
completed_atdate-timerequired
duration_secondsintegernullablerequired
pathway_idstringnullablerequired
pathway_versionintegernullablerequired
summarystringnullablerequired
transcriptstringnullablerequired
transcriptsundefined[]required
extracted objectnullablerequired
property name*anynullable
extraction_statusstringnullablerequired
recording_urlstringnullablerequired
metadata objectnullablerequired
property name*anynullable
cost objectnullablerequired
property name*anynullable
error_messagestringnullablerequired
statusstringrequired

Always success.

CallDetailResponse
{
"call_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"phone_number": "string",
"call_status": "string",
"outcome": "string",
"created_at": "2024-07-29T15:51:28.071Z",
"started_at": "2024-07-29T15:51:28.071Z",
"completed_at": "2024-07-29T15:51:28.071Z",
"duration_seconds": 0,
"pathway_id": "string",
"pathway_version": 0,
"summary": "string",
"transcript": "string",
"transcripts": [
null
],
"extracted": {},
"extraction_status": "string",
"recording_url": "string",
"metadata": {},
"cost": {},
"error_message": "string",
"status": "string"
}